MACHINE-INFO(5)

NAME
machine-info - Local machine information file

SYNOPSIS

/etc/machine-info

DESCRIPTION

The /etc/machine-info file contains machine meta data.

The basic file format of machine-info is a newline-separated list of environment-like shell-compatible variable assignments. It is possible to source the configuration from shell scripts, however, beyond mere variable assignments no shell features are supported, allowing applications to read the file without implementing a shell compatible execution engine.

/etc/machine-info contains meta data about the machine that is set by the user or administrator.

Depending on the operating system other configuration files might be checked for machine information as well, however only as fallback.

OPTIONS

The following machine meta data parameters may be set using /etc/machine-info:

PRETTY_HOSTNAME=
    A pretty human-readable UTF8 machine identifier string. This should contain a name like Lennart's Laptop which is useful to present to the user and does not suffer by the syntax limitations of internet domain names. If possible the internet host name as configured in /etc/hostname should be kept similar to this one. Example: if this value is Lennart's Computer an Internet host name of lennarts-computer might be a good choice. If this parameter is not set an application should fall back to the Internet host name for presentation purposes.

ICON_NAME=
    An icon identifying this machine according to the XDG Icon Naming Specification[1]. If this parameter is not set an application should fall back to computer or a similar icon name.

EXAMPLE

    PRETTY_HOSTNAME="Lennart's Computer"
    ICON_NAME=computer-laptop

SEE ALSO

systemd(1), os-release(5), hostname(5), machine-id(5)

AUTHOR

Lennart Poettering <lennart@poettering.net>
    Developer

NOTES

1.  XDG Icon Naming Specification
    http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html